nxt.addons

## Class ContractLoader

- java.lang.Object
- - nxt.addons.ContractLoader

-     public class ContractLoader
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ContractLoader.CloudDataClassLoader`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CLASS_FILE_MIME_TYPE`
    `static java.lang.String` | `JAR_FILE_MIME_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLoader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `compareVersions(java.lang.String v1, java.lang.String v2)`
    `static java.lang.Class<?>` | `getParametersProvider(Contract contract)`
    `static Contract` | `loadContract(java.lang.ClassLoader classLoader, java.lang.String name, byte[] data, java.security.CodeSigner[] codeSigners, java.security.Principal[] principals)`
    `static ContractAndSetupParameters` | `loadContractAndSetupParameters(ContractReference contractReference)`
    `static Contract` | `loadContractFromJar(java.lang.ClassLoader classLoader, java.lang.String name, byte[] buffer, java.security.CodeSigner[] codeSigners, java.security.Principal[] principals)`
    `static Contract` | `loadContractFromJar(java.lang.ClassLoader classLoader, java.lang.String name, byte[] buffer, java.security.CodeSigner[] codeSigners, java.security.Principal[] principals, java.util.Map<java.lang.String,byte[]> classFileData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLASS_FILE_MIME_TYPE

          public static final java.lang.String CLASS_FILE_MIME_TYPE

      See Also:
        Constant Field Values

    - #### JAR_FILE_MIME_TYPE

          public static final java.lang.String JAR_FILE_MIME_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractLoader

          public ContractLoader()

  - ### Method Detail

    - #### loadContractAndSetupParameters

          public static ContractAndSetupParameters loadContractAndSetupParameters(ContractReference contractReference)

    - #### loadContract

          public static Contract loadContract(java.lang.ClassLoader classLoader,
                                              java.lang.String name,
                                              byte[] data,
                                              java.security.CodeSigner[] codeSigners,
                                              java.security.Principal[] principals)

    - #### loadContractFromJar

          public static Contract loadContractFromJar(java.lang.ClassLoader classLoader,
                                                     java.lang.String name,
                                                     byte[] buffer,
                                                     java.security.CodeSigner[] codeSigners,
                                                     java.security.Principal[] principals)

    - #### loadContractFromJar

          public static Contract loadContractFromJar(java.lang.ClassLoader classLoader,
                                                     java.lang.String name,
                                                     byte[] buffer,
                                                     java.security.CodeSigner[] codeSigners,
                                                     java.security.Principal[] principals,
                                                     java.util.Map<java.lang.String,byte[]> classFileData)

    - #### getParametersProvider

          public static java.lang.Class<?> getParametersProvider(Contract contract)

    - #### compareVersions

          public static int compareVersions(java.lang.String v1,
                                            java.lang.String v2)